Enterprise
Retrieve a specific child account under an enterprise organization
Retrieve a specific child account under an enterprise organization
GET
/
v3
/
enterprise
/
account
/
{account_id}
Retrieve a specific child account under an enterprise organization
curl --request GET \
--url https://api.mezmo.com/v3/enterprise/account/{account_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.mezmo.com/v3/enterprise/account/{account_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.mezmo.com/v3/enterprise/account/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"type": "<string>",
"page": {
"next": "<string>",
"previous": "<string>"
},
"pk": "<string>",
"links": {
"self": {
"list": {
"method": "get",
"uri": "https://api.mezmo.com/v3/enterprise/resource"
},
"detail": {
"method": "get",
"uri": "https://api.mezmo.com/v3/enterprise/resource/{resource_id}"
},
"update": {
"method": "patch",
"uri": "https://api.mezmo.com/v3/enterprise/resource/{resource_id}"
},
"replace": {
"method": "put",
"uri": "https://api.mezmo.com/v3/enterprise/resource/{resource_id}"
},
"create": {
"method": "post",
"uri": "https://api.mezmo.com/v3/enterprise/resource"
}
},
"related": {}
}
},
"data": {
"account_id": "8aca3b99b4ee99db2c0fb6b7",
"enterprise_id": "c0c41da6c8",
"account": "b35eda6673",
"company": "Snippet Factory",
"deactivated": "2023-11-07T05:31:56Z",
"owneremail": "admin@snippetfactory.com",
"external_id": "d615396c40",
"plan": {
"type": "enterprise"
},
"quota": {
"retention": 14
},
"retention": 45,
"created": "2023-11-07T05:31:56Z",
"meta": {},
"owner": {
"user_id": "8602b169800306cb2122207e",
"firstname": "John",
"lastname": "Doe",
"email": "member@snippetfactory.com",
"name": "John Doe",
"accounts": [
"9fc4097ce3",
"f4aba3b697"
],
"enterprise_ids": [
"1905a829ed",
"810d90f7d9"
],
"verified": true
}
}
}{
"status": 449,
"code": "<string>",
"message": "<string>",
"errors": [
{
"keyword": "<string>",
"params": {},
"message": "<string>",
"instance_path": null,
"schema_path": null,
"property_name": null
}
]
}{
"status": 449,
"code": "<string>",
"message": "<string>",
"errors": [
{
"keyword": "<string>",
"params": {},
"message": "<string>",
"instance_path": null,
"schema_path": null,
"property_name": null
}
]
}{
"status": 449,
"code": "<string>",
"message": "<string>",
"errors": [
{
"keyword": "<string>",
"params": {},
"message": "<string>",
"instance_path": null,
"schema_path": null,
"property_name": null
}
]
}{
"status": 449,
"code": "<string>",
"message": "<string>",
"errors": [
{
"keyword": "<string>",
"params": {},
"message": "<string>",
"instance_path": null,
"schema_path": null,
"property_name": null
}
]
}{
"status": 449,
"code": "<string>",
"message": "<string>",
"errors": [
{
"keyword": "<string>",
"params": {},
"message": "<string>",
"instance_path": null,
"schema_path": null,
"property_name": null
}
]
}{
"status": 449,
"code": "<string>",
"message": "<string>",
"errors": [
{
"keyword": "<string>",
"params": {},
"message": "<string>",
"instance_path": null,
"schema_path": null,
"property_name": null
}
]
}Authorizations
The primary authentication method for the Mezmo API.
Pass the key in the Authorization header in the format Token <ACCESS TOKEN>.
For example:
curl -H 'Authorization: Token <ACCESS TOKEN>'
This key is used for all APIs with the exception of ingest.
Path Parameters
The unique identifier of the account to retrieve
Required string length:
1 - 24Response
Response format containing the Enterprise and all child Accounts
Response format containing the Enterprise and all child Accounts
Was this page helpful?
⌘I
Retrieve a specific child account under an enterprise organization

